<?php 
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogger-spot
 */
get_header(); ?>
<!-- blog warpper start -->
<section class="page-header section-sm">
  <div class="container">
    <div class="row">
      <div class="col-12 text-center section-title-top">
        <h2 class="section-title">
          <span><?php the_archive_title();
          ?></span>
        </h2>
        <p><?php the_archive_description(); ?></p>
      </div>
    </div>
    <div class="row gy-5 gx-4 g-xl-5">
        <?php
        while(have_posts())
        {
            the_post();
        
        ?>
      <div class="col-lg-6">
        <article class="card post-card h-100 border-0 bg-transparent">
          <div class="card-body">
            <a class="d-block" href="<?php echo the_permalink(); ?>" title="The AGI hype train is running out of steam">
              <div class="post-image position-relative">
               <?php echo the_post_thumbnail(); ?>
              </div>
            </a>
            <ul class="card-meta list-inline mb-3">
              <li class="list-inline-item mt-2">
                <i class="ti ti-calendar-event"></i>
                <span><?php the_time('M m, Y '); ?></span>
              </li>
              <li class="list-inline-item mt-2">—</li>
              <li class="list-inline-item mt-2">
                <i class="ti ti-clock"></i>
                <span><?php echo vpsb_estimated_reading_time( get_the_content() ); ?> read</span>
              </li>
            </ul>
            <a class="d-block" href="<?php the_permalink(); ?>"
              title="The AGI hype train is running out of steam">
              <h3 class="mb-3 post-title">
                <?php the_title(); ?>
              </h3>
            </a>
            <p><?php the_excerpt(); ?></p>
          </div>
          <div class="card-footer border-top-0 bg-transparent p-0">
            <ul class="card-meta list-inline">
              <li class="list-inline-item mt-2">
               by <?php the_author_posts_link(); ?>
                
              </li>
              <li class="list-inline-item mt-2">•</li>
              <li class="list-inline-item mt-2">
                <ul class="card-meta-tag list-inline">
                  <li class="list-inline-item small"><?php echo get_the_category_list(', '); ?></li>
                </ul>
              </li>
            </ul>
          </div>
        </article>
      </div>
      <?php } ?>
      <div class="col-12 text-center">
        <?php echo paginate_links(); ?>
      </div>
    </div>
  </div>
</section>
<!-- blog warpper end -->
<?php get_footer(); ?>