<?php 
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package blogger-spot
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
  <meta <?php bloginfo('charset');  ?>>
 
  <meta name="author" content="Gourav bagora">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=5">
  <meta name="description" content="Minimal Blog WordPress Theme">
  <?php wp_site_icon(); ?>
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<a class="skip-link screen-reader-text" href="#content-blogger">
<?php _e( 'Skip to content', 'blogger-spot' ); ?></a>
<div class="header-height-fix"></div>
<div id="scrolltop" class="top-bar">
<div class="container">
<div class="row g-2 g-lg-4 align-items-center">
        <div class="col-lg-8 text-center text-lg-start">
         <?php echo top_left_text(); ?>
        </div>
        <div class="col-lg-4 text-center text-lg-end">
        <!-- Add font awesome icons -->
       
<a href="<?php echo facebook_profile(); ?>" target="_blank" class="fa fa-facebook"></a>

<a href="<?php instagram_profile() ?>" target="_blank" class="fa fa-instagram"></a>

<a href="<?php twitter_profile() ?>" target="_blank" class="fa fa-twitter"></a>

<a href="<?php googleplus_profile(); ?>" target="_blank" class="fa fa-google"></a>

<a href="<?php youtube_profile(); ?>" target="_blank" class="fa fa-youtube"></a>

<a href="<?php linkedin_profile(); ?>" target="_blank" class="fa fa-linkedin"></a>

<a href="<?php pinterest_profile() ?>" target="_blank" class="fa fa-pinterest"></a>

        </div>
      </div>
</div>
</div>
<header class="header-nav">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <nav class="navbar navbar-default navbar-expand-md main-navbar">
          <!-- logo -->
    <?php has_custom_logo() ? the_custom_logo() : ''; ?>

  <div class="site-identity">
    <?php if ( is_front_page() && is_home() ) : ?>
      <h3 class="site-title logo-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h3>
    <?php else : ?>
      <h3 class="site-title logo-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h3>
    <?php
    endif;

    $description = get_bloginfo( 'description', 'display' );
    if ( $description || is_customize_preview() ) : ?>
      <span class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></span>
    <?php
    endif; ?>
    </div>

          <button class="search-toggle d-inline-block d-lg-none ms-auto me-1 me-sm-3" data-toggle="search" aria-label="Search Toggle">
            <span>Search</span>
            <svg width="22" height="22" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M15.5 15.5L19 19" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M5 11C5 14.3137 7.68629 17 11 17C12.6597 17 14.1621 16.3261 15.2483 15.237C16.3308 14.1517 17 12.654 17 11C17 7.68629 14.3137 5 11 5C7.68629 5 5 7.68629 5 11Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/></svg>
          </button>

     
                 
                      <div class="mobile-menu" data-type="text" data-link="<?php echo esc_attr( home_url('/') ); ?>" data-logo="<?php bloginfo( 'name' ); ?>"> </div>
               

          <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">

              <?php
              wp_nav_menu(array(
                  'menu_class' => 'navbar-nav navbar__nav  nav justify-content-end menuon',
                  'depth' => 3,
                  'container'  => '',
                  'theme_location' => 'HeaderMenuLocation'
              ));
              ?>
            
            <div class="navbar-right d-none d-lg-inline-block">
              <ul class="social-links list-unstyled list-inline">
                <li class="list-inline-item ms-4 d-none d-lg-inline-block">
                  <button class="search-toggle" data-toggle="search" aria-label="Search Toggle">
                    <span>Search</span>
                    <svg width="22" height="22" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M15.5 15.5L19 19" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/><path d="M5 11C5 14.3137 7.68629 17 11 17C12.6597 17 14.1621 16.3261 15.2483 15.237C16.3308 14.1517 17 12.654 17 11C17 7.68629 14.3137 5 11 5C7.68629 5 5 7.68629 5 11Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/></svg>
                  </button>
                </li>
              </ul>
            </div>
            
          </div>
        </nav>
      </div>
    </div>
  </div>
</header>
<?php get_search_form(); ?>