<?php 
    /*
    * Adding theme features.
    */
function blogger_spot_features()
{
    /*
    * Make theme available for translation.
    */
    load_theme_textdomain( 'blogger_-pot' );
    register_nav_menus( array(
            'HeaderMenuLocation' => esc_html__( 'Header menu', 'blogger-spot' ),
            'FooterMenuLocation' => esc_html('Footer Menu','blogger-spot'), 
                    ) );
    add_theme_support('title-tag');
         /**
         * Add support for core custom logo.
         *
         * @link https://codex.wordpress.org/Theme_Logo
         */
        add_theme_support( 'custom-logo', array(
            'header-text' => array( 'site-title', 'site-description' ),
            'height' => 50,
            'width' => 200,
            'flex-width' => true,
            'flex-height' => true,
        ) );
    add_theme_support( 'post-thumbnails' );
    add_theme_support('automatic-feed-links');
         /*
         * Switch default core markup for search form, comment form, and comments
         * to output valid HTML5.
         */
        add_theme_support( 'html5', array(
            'search-form',
            'comment-form',
            'comment-list',
            'gallery',
            'caption',
        ) );
        
    add_theme_support( "wp-block-styles" );
    add_theme_support( "responsive-embeds" );
    add_theme_support( 'align-wide' );
    // Add theme support for selective refresh for widgets.
    add_theme_support( 'customize-selective-refresh-widgets' );
    add_theme_support( "responsive-embeds" );
    /* Add editor style. */
    add_theme_support( 'editor-styles' );
    add_theme_support( 'dark-editor-style' );
        /*
     * This theme styles the visual editor to resemble the theme style,
     * specifically font, colors, icons, and column width.
    */
    add_editor_style('/assets/css/editor-style.css');

    /* Load editor style. */
    add_editor_style();
    add_theme_support( 'custom-background' );
    
}
add_action('after_setup_theme','blogger_spot_features');

/**
 *  Defining theme version.
 */
define( 'WP_SIMPLE_BLOG_VERSION', '1.3' );

//Adding Breadcrumbs
function get_breadcrumb() {
    echo '<a href="'.home_url().'" rel="nofollow">Home</a>';
    if (is_category() || is_single()) {
        echo "&nbsp;&nbsp;&#187;&nbsp;&nbsp;";
        the_category(' &bull; ');
            if (is_single()) {
                echo " &nbsp;&nbsp;&#187;&nbsp;&nbsp; ";
                the_title();
            }
    } elseif (is_page()) {
        echo "&nbsp;&nbsp;&#187;&nbsp;&nbsp;";
        echo the_title();
    } elseif (is_search()) {
        echo "&nbsp;&nbsp;&#187;&nbsp;&nbsp;Search Results for... ";
        echo '"<em>';
        echo the_search_query();
        echo '</em>"';
    }
}

// Estimated Reading Time for Posts
function vpsb_estimated_reading_time( $content = '') {
    $wpm = 200;          // Word Per Minute (200 Average)
    $text_content = strip_shortcodes( $content );     // Remove Shortcodes
    $str_content = strip_tags( $text_content );       // Remove Tags
    $word_count = str_word_count( $str_content );
    $readtime = ceil( $word_count / $wpm );
    if ($readtime == 1) {
        $postfix = " minute";
    } else {
        $postfix = " minutes";
    }
    $readingtime = $readtime . $postfix;
    return $readingtime;
}
add_filter( "term_links-post_tag", 'add_tag_class');

function add_tag_class($links) {
return str_replace('<a href="', '<a class="bg-white" href="', $links);
}

function creator_theme()
{
    echo 'Powered by <a target="_blank" href="https://wordpress.org/">WordPress</a> & Created by <a target="_blank" href="https://gouravbagora.com/">Gourav bagora</a>';
}
add_action('creator_theme','creator_theme');
?>