<?php 
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogger-spot
 */
get_header(); ?>
<!-- banner start -->
<section class="section banner overflow-hidden">
  <div class="container">
    <div class="row">
      <div class="col-lg-10 col-md-11 mx-auto text-center position-relative">
        <h1 class="text-dark mb-0 banner-text" id="demo">
          <?php echo home_banner_text(); ?></h1>
      </div>
    </div>
  </div>
</section>
<!-- banner end -->

<!-- blog warpper start -->
<section id="content-blogger">
  <div class="container">
    <div class="row">
      <div class="col-12 text-center section-title-top">
        <h2 class="section-title">
          <span>Recent posts</span>
        </h2>
      </div>
    </div>
    <div class="row gy-5 gx-4 g-xl-5">
     <?php  get_template_part( 'template-parts/content', 'loop' ); ?>
      <div class="col-12 text-center">
        <?php 
        echo paginate_links(); ?>
      </div>
    </div>
  </div>
</section>
<!-- blog warpper end -->
<?php get_footer(); ?>